Bug 1273096 - Openstack Cloud provider shows <Unknown> Credentials in the Status box when AMQP credentials are provided
Summary: Openstack Cloud provider shows <Unknown> Credentials in the Status box when A...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS   
(Show other bugs)
Version: 5.4.0
Hardware: Unspecified Unspecified
high
medium
Target Milestone: GA
: 5.5.0
Assignee: Milan Zázrivec
QA Contact: Nandini Chandra
URL:
Whiteboard:
Keywords:
: 1252855 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-19 14:54 UTC by Marius Cornea
Modified: 2015-12-08 13:36 UTC (History)
7 users (show)

Fixed In Version: 5.5.0.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 13:36:36 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2551 normal SHIPPED_LIVE Moderate: CFME 5.5.0 bug fixes and enhancement update 2015-12-08 17:58:09 UTC

Description Marius Cornea 2015-10-19 14:54:32 UTC
Description of problem:
Openstack Cloud provider shows <Unknown> Credentials in the Status box when AMQP credentials are provided

Version-Release number of selected component (if applicable):
5.4

How reproducible:
100%

Steps to Reproduce:
1.  Go to Clouds -> Providers 
2.  Click on an Openstack provider
3.

Actual results:
The Status box shows:
<Unknown> Credentials	Valid

Expected results:
It shows AMQP Credentials status.

Additional info:
A similar bug has been reported for the infra provider:
https://bugzilla.redhat.com/show_bug.cgi?id=1262002

Comment 3 Milan Zázrivec 2015-10-26 13:34:18 UTC
https://github.com/ManageIQ/manageiq/pull/5109

Comment 4 CFME Bot 2015-10-26 22:18:01 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/ed8c7aea76aec5580460d452d598ea97987a502c

commit ed8c7aea76aec5580460d452d598ea97987a502c
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Mon Oct 26 14:31:21 2015 +0100
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Mon Oct 26 14:31:21 2015 +0100

    Add AMQP as a valid authentication type to provider's textual summary
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1273096

 app/helpers/ems_cloud_helper/textual_summary.rb |  1 +
 spec/views/ems_cloud/show.html.haml_spec.rb     | 31 +++++++++++++++++++++++++
 2 files changed, 32 insertions(+)
 create mode 100644 spec/views/ems_cloud/show.html.haml_spec.rb

Comment 5 Nandini Chandra 2015-10-30 04:03:55 UTC
Verified in 5.5.0.8

Comment 6 Ladislav Smola 2015-11-02 14:05:02 UTC
*** Bug 1252855 has been marked as a duplicate of this bug. ***

Comment 8 errata-xmlrpc 2015-12-08 13:36:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551


Note You need to log in before you can comment on or make changes to this bug.